Skip to content
GET /unified/accounting/tracking_categories

Query Parameters

Refer Specifying query parameters in Truto APIs

namestring

The name of the tracking category

6 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
category_typestring

The category type of the tracking category.

Possible values:
classdepartmentlocation
4 supported1 required
Oracle Netsuite
required
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
created_atstring · date-time

This represents the date when the tracking category was created

3 supported
Brightpearl
supported
Coupa
supported
QuickBooks
supported
updated_atstring · date-time

This represents the date when the tracking category was updated

5 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
statusstring

The status of the tracking category

Possible values:
activearchived
5 supported
Brightpearl
supported
Coupa
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Tracking categories

idstring
required·

The unique identifier for tracking categories

6 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
category_typestring

The category type of the tracking category

4 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
companystring

The company the tracking category belongs to

References: CompanyInfo → id
1 supported
Microsoft Dynamics 365 Business Central
supported
created_atstring · date-time

This represents the date when the tracking category was created

3 supported
Brightpearl
supported
Coupa
supported
QuickBooks
supported
namestring

The name of the tracking category

6 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
optionsobject[]

The options for the tracking category. Present in Xero

2 supported
Microsoft Dynamics 365 Business Central
supported
Xero
supported
3 properties
idstring

The unique identifier for tracking option

namestring

The name for tracking option

statusstring

The status for tracking option

Possible values:
activearchived
parent_categorystring

The parent category of the tracking category

2 supported
Brightpearl
supported
Oracle Netsuite
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the tracking category

Possible values:
activearchived
5 supported
Brightpearl
supported
Coupa
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
updated_atstring · date-time

This represents the date when the tracking category was updated

5 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
curl -X GET 'https://api.truto.one/unified/accounting/tracking_categories?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/tracking_categories?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/tracking_categories"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'accounting',
  'trackingcategories',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "accounting",
        "trackingcategories",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())